Vraag Apt-get triggert altijd het "opzetten" van tomcat's


Ik moest enkele hoepels overspringen om een ​​specifieke versie van tomcat te installeren en daarbij verschillende handleidingen uit te voeren. Telkens wanneer ik een apt-get of dpkg-opdracht gebruik, start tomcat met het instellen en mislukt het hele installatieproces.

Voorbeelden:

$ sudo dpkg --configure -a
Setting up tomcat8 (8.0.32-1ubuntu1.4) ...
Job for tomcat8.service failed because the control process exited with error code. See "systemctl status tomcat8.service" and "journalctl -xe" for details.
invoke-rc.d: initscript tomcat8, action "start" failed.
● tomcat8.service - LSB: Start Tomcat.
   <snip>
Errors were encountered while processing:
 tomcat8

$ sudo apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  linux-image-4.4.0-97-generic linux-image-4.4.0-98-generic linux-image-extra-4.4.0-97-generic
  linux-image-extra-4.4.0-98-generic
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 36 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up tomcat8 (8.0.32-1ubuntu1.4) ...
<snip>
Errors were encountered while processing:
 tomcat8
E: Sub-process /usr/bin/dpkg returned an error code (1)
W: Operation was interrupted before it could finish

Alles dat normaal mijn pakketten repareert, activeert dit altijd. Weet iemand waar dit is veroorzaakt en hoe het te repareren?

Alvast bedankt,

CX


1
2017-11-15 10:30


oorsprong




antwoorden:


Ik heb mijn eigen probleem opgelost. Ik heb eerst de herstelmodus opnieuw opgestart, vervolgens heb ik de optie 'fixpakketten' gekozen. Het heeft een fout gemaakt en door verder te gaan ben ik in een oneindige opstartprocedure terechtgekomen, maar het is nog steeds voldoende opgelost, zodat ik de pakketbeheerder goed kan gebruiken.


0
2017-11-23 14:09